Object.defineProperty(exports, "__esModule", { value: true });
var utils_1 = require("tns-core-modules/utils/utils");
var app = require("tns-core-modules/application");
var CONFIRMATION_SUCCESS_REQUEST_CODE = 5673;
var CONFIRMATION_FAILURE_REQUEST_CODE = 5674;
var OPEN_ON_PHONE_REQUEST_CODE = 5675;
function showSuccessActivity(message) {
    return new Promise(function (resolve, reject) {
        try {
            var intent = new android.content.Intent(utils_1.ad.getApplicationContext(), android.support.wearable.activity.ConfirmationActivity.class);
            intent.putExtra(android.support.wearable.activity.ConfirmationActivity
                .EXTRA_ANIMATION_TYPE, android.support.wearable.activity.ConfirmationActivity.SUCCESS_ANIMATION);
            intent.putExtra(android.support.wearable.activity.ConfirmationActivity.EXTRA_MESSAGE, message);
            app.android.on(app.AndroidApplication.activityResultEvent, function (args) {
                if (args.requestCode === CONFIRMATION_SUCCESS_REQUEST_CODE &&
                    args.resultCode === android.app.Activity.RESULT_OK) {
                    var intentData = args.intent;
                    resolve(intentData);
                }
            });
            var activity = app.android.foregroundActivity || app.android.startActivity;
            activity.startActivityForResult(intent, CONFIRMATION_SUCCESS_REQUEST_CODE);
        }
        catch (error) {
            reject(error);
        }
    });
}
exports.showSuccessActivity = showSuccessActivity;
function showFailureActivity(message) {
    return new Promise(function (resolve, reject) {
        try {
            var intent = new android.content.Intent(utils_1.ad.getApplicationContext(), android.support.wearable.activity.ConfirmationActivity.class);
            intent.putExtra(android.support.wearable.activity.ConfirmationActivity
                .EXTRA_ANIMATION_TYPE, android.support.wearable.activity.ConfirmationActivity.FAILURE_ANIMATION);
            intent.putExtra(android.support.wearable.activity.ConfirmationActivity.EXTRA_MESSAGE, message);
            app.android.on(app.AndroidApplication.activityResultEvent, function (args) {
                if (args.requestCode === CONFIRMATION_FAILURE_REQUEST_CODE &&
                    args.resultCode === android.app.Activity.RESULT_OK) {
                    var intentData = args.intent;
                    resolve(intentData);
                }
            });
            var activity = app.android.foregroundActivity || app.android.startActivity;
            activity.startActivityForResult(intent, CONFIRMATION_FAILURE_REQUEST_CODE);
        }
        catch (error) {
            reject(error);
        }
    });
}
exports.showFailureActivity = showFailureActivity;
function showOpenOnPhoneActivity(message) {
    return new Promise(function (resolve, reject) {
        try {
            var intent = new android.content.Intent(utils_1.ad.getApplicationContext(), android.support.wearable.activity.ConfirmationActivity.class);
            intent.putExtra(android.support.wearable.activity.ConfirmationActivity
                .EXTRA_ANIMATION_TYPE, android.support.wearable.activity.ConfirmationActivity.FAILURE_ANIMATION);
            intent.putExtra(android.support.wearable.activity.ConfirmationActivity.EXTRA_MESSAGE, message);
            app.android.on(app.AndroidApplication.activityResultEvent, function (args) {
                if (args.requestCode === OPEN_ON_PHONE_REQUEST_CODE &&
                    args.resultCode === android.app.Activity.RESULT_OK) {
                    var intentData = args.intent;
                    resolve(intentData);
                }
            });
            var activity = app.android.foregroundActivity || app.android.startActivity;
            activity.startActivityForResult(intent, OPEN_ON_PHONE_REQUEST_CODE);
        }
        catch (error) {
            reject(error);
        }
    });
}
exports.showOpenOnPhoneActivity = showOpenOnPhoneActivity;
